import * as productRepo from '../repositories/productRepository.js';
import * as stockHistoryRepo from '../repositories/stockHistoryRepository.js';

const getInventory = async (query) => {
  return productRepo.findAllVariantRows(query);
};

const getStockHistory = async (query) => {
  return stockHistoryRepo.findAll(query);
};

export default { getInventory, getStockHistory };